Skip to content

List organization members

GET
/api/server/v1/organizations/{organizationId}/members
curl --request GET \
--url 'https://api.toriiauth.eu/api/server/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members?limit=50&cursor=01931a73-8b00-7000-8000-000000000000' \
--header 'Authorization: Bearer <token>'

Cursor-paginated page of the organization’s USER memberships, each with both metadata bags. Ordered by member user id ascending (a creation-ordered uuid v7, which is also the seek key), NOT by join time.

organizationId
required
string format: uuid
limit
integer format: int32
default: 20

Maximum number of items in the returned page (default 20; values outside 1-100 are clamped).

Example
50
cursor
string format: uuid

Opaque cursor returned by the previous page’s nextCursor. Omit to fetch the first page.

Example
01931a73-8b00-7000-8000-000000000000

Page of the organization’s members.

Media typeapplication/json

A single page of results in a cursor-paginated list. Pass nextCursor as the cursor query parameter to fetch the following page.

object
items
required

Items in this page, in stable order.

Array<object>
object
organizationId
required
string format: uuid
userId
required
string format: uuid
role
required
string
roleName
string | null
publicMetadata
required
object
key
additional properties
any
privateMetadata
required
object
key
additional properties
any
joinedAt
required
string format: date-time
nextCursor

Cursor to pass to fetch the next page. Null when this is the last page.

string | null format: uuid
hasMore
required

True if more pages are available (equivalent to nextCursor != null).

boolean
Example
{
"nextCursor": "01931a73-8b00-7000-8000-000000000000",
"hasMore": true
}

Missing or invalid secret key.

Media typeapplication/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"instance": "https://example.com",
"properties": {
"additionalProperty": "example"
}
}

No organization with this id in the key’s environment.

Media typeapplication/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"instance": "https://example.com",
"properties": {
"additionalProperty": "example"
}
}